Package org.bukkit.block.data

# Enum Class Bisected.Half

java.lang.Object
java.lang.Enum<Bisected.Half>
org.bukkit.block.data.Bisected.Half

All Implemented Interfaces:
  `Serializable`, `Comparable<Bisected.Half>`, `Constable`

Enclosing interface:
  Bisected

public static enum Bisected.Half extends Enum<Bisected.Half>
The half of a vertically bisected block.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BOTTOM`
The bottom half of the block, normally with the lower y coordinate.
`TOP`
The top half of the block, normally with the higher y coordinate.

## Method Summary

Modifier and Type
Method
Description
`static Bisected.Half`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Bisected.Half[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TOP

public static final Bisected.Half TOP
The top half of the block, normally with the higher y coordinate.

### BOTTOM

public static final Bisected.Half BOTTOM
The bottom half of the block, normally with the lower y coordinate.

## Method Details

### values

public static Bisected.Half[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Bisected.Half valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null